Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.ControlElement

    java.lang.Object
      java.lang.Enum<QStyle.ControlElement>
          com.trolltech.qt.gui.QStyle.ControlElement

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.ControlElement>

Enclosing class:
  QStyle

    public static enum QStyle.ControlElement

extends java.lang.Enum<QStyle.ControlElement>
implements QtEnumerator

This enum represents a control element. A control element is a part of a widget that performs some action or displays information to the user.

See Also:
  `drawControl`

Enum Constant Summary
`CE_CheckBox` A `QCheckBox`, draws a `PE_IndicatorCheckBox`, a `CE_CheckBoxLabel` and a `PE_FrameFocusRect`.
`CE_CheckBoxLabel` The label (text or pixmap) of a `QCheckBox`.
`CE_ColumnViewGrip` Internal.
`CE_ComboBoxLabel` The label of a non-editable `QComboBox`.
`CE_CustomBase` Base value for custom control elements; custom values must be greater than this value.
`CE_DockWidgetTitle` Dock window title.
`CE_FocusFrame` Focus frame that is style controlled.
`CE_Header` A header.
`CE_HeaderEmptyArea` The area of a header view where there are no header sections.
`CE_HeaderLabel` The header's label.
`CE_HeaderSection` A header section.
`CE_MenuBarEmptyArea` The empty area of a `QMenuBar`.
`CE_MenuBarItem` A menu item in a `QMenuBar`.
`CE_MenuEmptyArea` The area in a menu without menu items.
`CE_MenuHMargin` The horizontal extra space on the left/right of a menu.
`CE_MenuItem` A menu item in a `QMenu`.
`CE_MenuScroller` Scrolling areas in a `QMenu` when the style supports scrolling.
`CE_MenuTearoff` A menu item representing the tear off section of a `QMenu`.
`CE_MenuVMargin` The vertical extra space on the top/bottom of a menu.
`CE_ProgressBar` A `QProgressBar`, draws `CE_ProgressBarGroove`, `CE_ProgressBarContents` and `CE_ProgressBarLabel`.
`CE_ProgressBarContents` The progress indicator of a `QProgressBar`.
`CE_ProgressBarGroove` The groove where the progress indicator is drawn in a `QProgressBar`.
`CE_ProgressBarLabel` The text label of a `QProgressBar`.
`CE_PushButton` A `QPushButton`, draws `CE_PushButtonBevel`, `CE_PushButtonLabel` and `PE_FrameFocusRect`.
`CE_PushButtonBevel` The bevel and default indicator of a `QPushButton`.
`CE_PushButtonLabel` The label (an icon with text or pixmap) of a `QPushButton`.
`CE_Q3DockWindowEmptyArea` The empty area of a `QDockWidget`.
`CE_RadioButton` A `QRadioButton`, draws a `PE_IndicatorRadioButton`, a `CE_RadioButtonLabel` and a `PE_FrameFocusRect`.
`CE_RadioButtonLabel` The label (text or pixmap) of a `QRadioButton`.
`CE_RubberBand` Rubber band used in for example an icon view.
`CE_ScrollBarAddLine` Scroll bar line increase indicator.
`CE_ScrollBarAddPage` Scolllbar page increase indicator (i.e., page down).
`CE_ScrollBarFirst` Scroll bar first line indicator (i.e., home).
`CE_ScrollBarLast` Scroll bar last line indicator (i.e., end).
`CE_ScrollBarSlider` Scroll bar slider.
`CE_ScrollBarSubLine` Scroll bar line decrease indicator (i.e., scroll up).
`CE_ScrollBarSubPage` Scroll bar page decrease indicator (i.e., page up).
`CE_SizeGrip` Window resize handle; see also `QSizeGrip`.
`CE_Splitter` Splitter handle; see also `QSplitter`.
`CE_TabBarTab` The tab and label within a `QTabBar`.
`CE_TabBarTabLabel` The label within a tab.
`CE_TabBarTabShape` The tab shape within a tab bar.
`CE_ToolBar` A toolbar like `QToolBar`.
`CE_ToolBoxTab` The toolbox's tab and label within a `QToolBox`.
`CE_ToolBoxTabLabel` The toolbox's tab label.
`CE_ToolBoxTabShape` The toolbox's tab shape.
`CE_ToolButtonLabel` A tool button's label.
`CustomEnum`

Method Summary
`static QStyle.ControlElement` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.ControlElement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.ControlElement[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CE_PushButton

    public static final QStyle.ControlElement CE_PushButton

  A `QPushButton`, draws `CE_PushButtonBevel`, `CE_PushButtonLabel` and `PE_FrameFocusRect`.

### CE_PushButtonBevel

    public static final QStyle.ControlElement CE_PushButtonBevel

  The bevel and default indicator of a `QPushButton`.

### CE_PushButtonLabel

    public static final QStyle.ControlElement CE_PushButtonLabel

  The label (an icon with text or pixmap) of a `QPushButton`.

### CE_CheckBox

    public static final QStyle.ControlElement CE_CheckBox

  A `QCheckBox`, draws a `PE_IndicatorCheckBox`, a `CE_CheckBoxLabel` and a `PE_FrameFocusRect`.

### CE_CheckBoxLabel

    public static final QStyle.ControlElement CE_CheckBoxLabel

  The label (text or pixmap) of a `QCheckBox`.

### CE_RadioButton

    public static final QStyle.ControlElement CE_RadioButton

  A `QRadioButton`, draws a `PE_IndicatorRadioButton`, a `CE_RadioButtonLabel` and a `PE_FrameFocusRect`.

### CE_RadioButtonLabel

    public static final QStyle.ControlElement CE_RadioButtonLabel

  The label (text or pixmap) of a `QRadioButton`.

### CE_TabBarTab

    public static final QStyle.ControlElement CE_TabBarTab

  The tab and label within a `QTabBar`.

### CE_TabBarTabShape

    public static final QStyle.ControlElement CE_TabBarTabShape

  The tab shape within a tab bar.

### CE_TabBarTabLabel

    public static final QStyle.ControlElement CE_TabBarTabLabel

  The label within a tab.

### CE_ProgressBar

    public static final QStyle.ControlElement CE_ProgressBar

  A `QProgressBar`, draws `CE_ProgressBarGroove`, `CE_ProgressBarContents` and `CE_ProgressBarLabel`.

### CE_ProgressBarGroove

    public static final QStyle.ControlElement CE_ProgressBarGroove

  The groove where the progress indicator is drawn in a `QProgressBar`.

### CE_ProgressBarContents

    public static final QStyle.ControlElement CE_ProgressBarContents

  The progress indicator of a `QProgressBar`.

### CE_ProgressBarLabel

    public static final QStyle.ControlElement CE_ProgressBarLabel

  The text label of a `QProgressBar`.

### CE_MenuItem

    public static final QStyle.ControlElement CE_MenuItem

  A menu item in a `QMenu`.

### CE_MenuScroller

    public static final QStyle.ControlElement CE_MenuScroller

  Scrolling areas in a `QMenu` when the style supports scrolling.

### CE_MenuVMargin

    public static final QStyle.ControlElement CE_MenuVMargin

  The vertical extra space on the top/bottom of a menu.

### CE_MenuHMargin

    public static final QStyle.ControlElement CE_MenuHMargin

  The horizontal extra space on the left/right of a menu.

### CE_MenuTearoff

    public static final QStyle.ControlElement CE_MenuTearoff

  A menu item representing the tear off section of a `QMenu`.

### CE_MenuEmptyArea

    public static final QStyle.ControlElement CE_MenuEmptyArea

  The area in a menu without menu items.

### CE_MenuBarItem

    public static final QStyle.ControlElement CE_MenuBarItem

  A menu item in a `QMenuBar`.

### CE_MenuBarEmptyArea

    public static final QStyle.ControlElement CE_MenuBarEmptyArea

  The empty area of a `QMenuBar`.

### CE_ToolButtonLabel

    public static final QStyle.ControlElement CE_ToolButtonLabel

  A tool button's label.

### CE_Header

    public static final QStyle.ControlElement CE_Header

  A header.

### CE_HeaderSection

    public static final QStyle.ControlElement CE_HeaderSection

  A header section.

### CE_HeaderLabel

    public static final QStyle.ControlElement CE_HeaderLabel

  The header's label.

### CE_Q3DockWindowEmptyArea

    public static final QStyle.ControlElement CE_Q3DockWindowEmptyArea

  The empty area of a `QDockWidget`.

### CE_ToolBoxTab

    public static final QStyle.ControlElement CE_ToolBoxTab

  The toolbox's tab and label within a `QToolBox`.

### CE_SizeGrip

    public static final QStyle.ControlElement CE_SizeGrip

  Window resize handle; see also `QSizeGrip`.

### CE_Splitter

    public static final QStyle.ControlElement CE_Splitter

  Splitter handle; see also `QSplitter`.

### CE_RubberBand

    public static final QStyle.ControlElement CE_RubberBand

  Rubber band used in for example an icon view.

### CE_DockWidgetTitle

    public static final QStyle.ControlElement CE_DockWidgetTitle

  Dock window title.

### CE_ScrollBarAddLine

    public static final QStyle.ControlElement CE_ScrollBarAddLine

  Scroll bar line increase indicator. (i.e., scroll down); see also `QScrollBar`.

### CE_ScrollBarSubLine

    public static final QStyle.ControlElement CE_ScrollBarSubLine

  Scroll bar line decrease indicator (i.e., scroll up).

### CE_ScrollBarAddPage

    public static final QStyle.ControlElement CE_ScrollBarAddPage

  Scolllbar page increase indicator (i.e., page down).

### CE_ScrollBarSubPage

    public static final QStyle.ControlElement CE_ScrollBarSubPage

  Scroll bar page decrease indicator (i.e., page up).

### CE_ScrollBarSlider

    public static final QStyle.ControlElement CE_ScrollBarSlider

  Scroll bar slider.

### CE_ScrollBarFirst

    public static final QStyle.ControlElement CE_ScrollBarFirst

  Scroll bar first line indicator (i.e., home).

### CE_ScrollBarLast

    public static final QStyle.ControlElement CE_ScrollBarLast

  Scroll bar last line indicator (i.e., end).

### CE_FocusFrame

    public static final QStyle.ControlElement CE_FocusFrame

  Focus frame that is style controlled.

### CE_ComboBoxLabel

    public static final QStyle.ControlElement CE_ComboBoxLabel

  The label of a non-editable `QComboBox`.

### CE_ToolBar

    public static final QStyle.ControlElement CE_ToolBar

  A toolbar like `QToolBar`.

### CE_ToolBoxTabShape

    public static final QStyle.ControlElement CE_ToolBoxTabShape

  The toolbox's tab shape.

### CE_ToolBoxTabLabel

    public static final QStyle.ControlElement CE_ToolBoxTabLabel

  The toolbox's tab label.

### CE_HeaderEmptyArea

    public static final QStyle.ControlElement CE_HeaderEmptyArea

  The area of a header view where there are no header sections.

### CE_ColumnViewGrip

    public static final QStyle.ControlElement CE_ColumnViewGrip

  Internal.

### CE_CustomBase

    public static final QStyle.ControlElement CE_CustomBase

  Base value for custom control elements; custom values must be greater than this value.

### CustomEnum

    public static final QStyle.ControlElement CustomEnum

Method Detail

### values

    public static final QStyle.ControlElement[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.ControlElement c : QStyle.ControlElement.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.ControlElement valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.ControlElement resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD